package com.company.jmix.test.entity

import io.jmix.core.entity.annotation.JmixGeneratedValue
import io.jmix.core.metamodel.annotation.InstanceName
import io.jmix.core.metamodel.annotation.JmixEntity
import io.jmix.data.impl.lazyloading.NotInstantiatedList
import java.util.*
import javax.persistence.*
import javax.validation.constraints.NotNull

@JmixEntity
@Table(name = "JT_ALERT")
@Entity(name = "jt_Alert")
open class Alert {
    @JmixGeneratedValue
    @Column(name = "ID", nullable = false)
    @Id
    var id: UUID? = null

    @InstanceName
    @NotNull
    @Column(name = "NAME")
    var name: String? = null

    @OneToMany(mappedBy = "alert")
    var alertModels: MutableList<AlertModel> = NotInstantiatedList()

}