package com.company.jmix.test.entity

import io.jmix.core.entity.annotation.JmixGeneratedValue
import io.jmix.core.metamodel.annotation.JmixEntity
import io.jmix.core.metamodel.annotation.JmixProperty
import java.util.*
import javax.persistence.*
import javax.validation.constraints.NotNull

@JmixEntity
@Table(name = "JT_ALERT_MODEL")
@Entity(name = "jt_AlertModel")
open class AlertModel {

    @JmixGeneratedValue
    @Column(name = "ID", nullable = false)
    @Id
    var id: UUID? = null

    @NotNull
    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "ALERT_ID")
    var alert: Alert? = null

    @NotNull
    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "MODEL_ID")
    var model: Model? = null

    @Column(name = "START_DATE")
    var startDate: Date? = null

    @Column(name = "END_DATE")
    var endDate: Date? = null

    @Transient
    @JmixProperty
    var isInAlert: Boolean? = false

}